Create Extraction
curl --request POST \
--url https://be.datagol.ai/noCo/api/v2/workspaces/{workspaceId}/extraction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "config test",
"extractionMode": "ADVANCED",
"elementType": "COLUMN",
"elementId": "40743480-286a-4531-b3f3-7d0b68018c9d",
"storeExtractedData": true,
"scheduleType": "MANUAL",
"schedule": {
"cronExpression": ""
},
"outputConfiguration": {
"createNewWorkbook": true,
"title": "sample transcripts output"
},
"inputTableId": "7963e2b4-dddc-4dd4-8c44-8c70c47da692",
"primaryKeyColumnId": [
"ee42ef18-0d8a-461e-bae1-4370a8c13fec"
],
"columnConfiguration": [
{
"name": "title",
"description": "Transcript title",
"uiMetadata": {
"title": "Title"
},
"uiDataType": "SINGLE_LINE_TEXT"
},
{
"name": "segments",
"description": "Transcript segments",
"uiMetadata": {
"title": "Segments"
},
"uiDataType": "JSON"
}
],
"advancedSchema": {
"properties": {
"title": {
"type": "string"
},
"segments": {
"type": "array"
}
}
}
}
'import requests
url = "https://be.datagol.ai/noCo/api/v2/workspaces/{workspaceId}/extraction"
payload = {
"title": "config test",
"extractionMode": "ADVANCED",
"elementType": "COLUMN",
"elementId": "40743480-286a-4531-b3f3-7d0b68018c9d",
"storeExtractedData": True,
"scheduleType": "MANUAL",
"schedule": { "cronExpression": "" },
"outputConfiguration": {
"createNewWorkbook": True,
"title": "sample transcripts output"
},
"inputTableId": "7963e2b4-dddc-4dd4-8c44-8c70c47da692",
"primaryKeyColumnId": ["ee42ef18-0d8a-461e-bae1-4370a8c13fec"],
"columnConfiguration": [
{
"name": "title",
"description": "Transcript title",
"uiMetadata": { "title": "Title" },
"uiDataType": "SINGLE_LINE_TEXT"
},
{
"name": "segments",
"description": "Transcript segments",
"uiMetadata": { "title": "Segments" },
"uiDataType": "JSON"
}
],
"advancedSchema": { "properties": {
"title": { "type": "string" },
"segments": { "type": "array" }
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'config test',
extractionMode: 'ADVANCED',
elementType: 'COLUMN',
elementId: '40743480-286a-4531-b3f3-7d0b68018c9d',
storeExtractedData: true,
scheduleType: 'MANUAL',
schedule: {cronExpression: ''},
outputConfiguration: {createNewWorkbook: true, title: 'sample transcripts output'},
inputTableId: '7963e2b4-dddc-4dd4-8c44-8c70c47da692',
primaryKeyColumnId: ['ee42ef18-0d8a-461e-bae1-4370a8c13fec'],
columnConfiguration: [
{
name: 'title',
description: 'Transcript title',
uiMetadata: {title: 'Title'},
uiDataType: 'SINGLE_LINE_TEXT'
},
{
name: 'segments',
description: 'Transcript segments',
uiMetadata: {title: 'Segments'},
uiDataType: 'JSON'
}
],
advancedSchema: {properties: {title: {type: 'string'}, segments: {type: 'array'}}}
})
};
fetch('https://be.datagol.ai/noCo/api/v2/workspaces/{workspaceId}/extraction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
AI Extraction
Create Extraction
Creates an extraction configuration inside a workspace.
Supports both STANDARD and ADVANCED extraction modes.
POST
/
noCo
/
api
/
v2
/
workspaces
/
{workspaceId}
/
extraction
Create Extraction
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
Body
application/json
Extraction configuration title
STANDARD or ADVANCED
FILE, FOLDER, or COLUMN
Show child attributes
Show child attributes
FILE ID, FOLDER ID, or COLUMN ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User-defined schema for advanced extraction
Response
200
Extraction created successfully
⌘I